<%@page import="java.io.*,java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*, m05bClasses.*, m05bBD.m05bVehiculos,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%           String matricula=request.getParameter("Matricula");
		     matricula = matricula == null ? "":matricula;
			 String habilitar=request.getParameter("Habilitar");
		     habilitar = habilitar == null ? "false":habilitar;
			 String desde=request.getParameter("Desde");
		     desde = desde == null ? "":desde;
			 String hasta=request.getParameter("Hasta");
		     hasta = hasta == null ? "":hasta;
			 String rango=request.getParameter("Rango");
		     rango = rango == null ? "":rango;%>
		     
<% String rutaRetorno = (String)session.getAttribute("rutaRetorno"); %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
	String persona = (String) session.getAttribute("persona");
%>
<%@ include file="/m05bIdioma.inc"%>
	
<HTML>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<HEAD>
  <title><%= resTit.getString("titVehiculos")%></title>
    
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;" charset="UTF-8">
  <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
  <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
  <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
  <script>
         function fncRetornar(){
 			var docu= document.formVehiculos;
	            docu.target="_top";  
                docu.action="<%=rutaRetorno%>";
		        docu.submit();
         }
  </script>
    <%m05bComun miComun = new m05bComun();%>
  	  
	<script language="JavaScript">
		function fncGrabar() {
			
			var fechaactual="<%=miComun.getFechaActual()%>";
			var docuPadre=parent.document.formVehiculos; 
			var arrayVehiculo2="";
	         formatearFecha(document.formVehiculos.FMatriculacion);
             formatearFecha(document.formVehiculos.FAlta);
             formatearFecha(document.formVehiculos.FBajaTemp);
             formatearFecha(document.formVehiculos.FCedido);
             formatearFecha(document.formVehiculos.FecKmAct);
             formatearFecha(document.formVehiculos.FecGarantia);
            docuPadre.ImpTransferencia.value=docuPadre.ImpTransferenciaVehi.value;
            if ((docuPadre.CRangoBD.value!="")  && (docuPadre.CRango.value!="") && 
            	(docuPadre.CRangoBD.value!=docuPadre.CRango.value) && 
            	(docuPadre.ImpTransferencia.value=="")){
            	docuPadre.CRango.value==docuPadre.CRangoBD.value;
                alert(dameAlerta(idioma, 91));}
           else if (docuPadre.Matricula.value == ""){
			      	  alert(dameAlerta(idioma, 92));
			      	  docuPadre.Matricula.focus();
			      	  docuPadre.Matricula.select();
			}
 	        else if (docuPadre.FMatriculacion.value == ""){
			      	  alert(dameAlerta(idioma, 93));
			      	  docuPadre.FMatriculacion.focus();
			}
 	        else if (docuPadre.Marca.value == ""){
			      	  alert(dameAlerta(idioma, 94));
			      	  docuPadre.Marca.focus();
			}
			
 	        else if (docuPadre.Modelo.value == "-1"){
			      	  alert(dameAlerta(idioma, 95));
			      	  docuPadre.Modelo.focus();
			}
 	    
 	        else if (docuPadre.CRango.value == ""){
			      	  alert(dameAlerta(idioma, 96));
			      	  docuPadre.CRango.focus();
			}
			else if (docuPadre.Situacion.value == ""){
			      	  alert(dameAlerta(idioma, 97));
			      	  docuPadre.Situacion.focus();
			}
 	        else if (docuPadre.KmActuales.value == ""){
			      	  alert(dameAlerta(idioma, 98));
			      	  docuPadre.KmActuales.focus();
			      	  docuPadre.KmActuales.select();
			}
 	        else if (docuPadre.FecKmAct.value == ""){
			      	  alert(dameAlerta(idioma, 99));
			      	  docuPadre.FecKmAct.focus();
			      	  docuPadre.FecKmAct.select();
			}
 	        else if (docuPadre.Dpto.value == ""){
			      	  alert(dameAlerta(idioma, 100));
			      	  docuPadre.Dpto.focus();
			}
 	        else if ((docuPadre.Kilometros.value == "") && (docuPadre.Meses.value == "")){
			      	  alert(dameAlerta(idioma, 101));
			      	  docuPadre.Kilometros.focus();
			      	  docuPadre.Kilometros.select();
			}			
 	        else if (docuPadre.Expdte.value == ""){
			      	  alert(dameAlerta(idioma, 102));
			      	  docuPadre.Expdte.focus();
			      	  docuPadre.Expdte.select();
			}
 	        else if (docuPadre.NSerie.value == ""){
			      	  alert(dameAlerta(idioma, 103));
			      	  docuPadre.NSerie.focus();
			      	  docuPadre.NSerie.select();
			}
			else if (!(comparaFechas(docuPadre.FMatriculacion.value, fechaactual))){
		            alert(dameAlerta(idioma, 104));
                    docuPadre.FMatriculacion.focus();
			      	docuPadre.FMatriculacion.select();}
			else if (!(comparaFechas(docuPadre.FecKmAct.value,fechaactual))){
		            alert(dameAlerta(idioma, 105));
                    docuPadre.FecKmAct.focus();
			      	docuPadre.FecKmAct.select();}
			else {
				if(existeCaracter(docuPadre.MatriculaAnt.value,"\'")||existeCaracter(docuPadre.MatriculaAnt.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.MatriculaAnt.focus();
		 			return;
		 		}
		 		
		 		if(existeCaracter(docuPadre.Expdte.value,"\'")||existeCaracter(docuPadre.Expdte.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.Expdte.focus();
		 			return;
		 		}
		 		
		 		if(existeCaracter(docuPadre.NSerie.value,"\'")||existeCaracter(docuPadre.NSerie.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.NSerie.focus();
		 			return;
		 		}
		 		
		 		if(existeCaracter(docuPadre.Autoriza.value,"\'")||existeCaracter(docuPadre.Autoriza.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.Autoriza.focus();
		 			return;
		 		}
		 		
		 		if(existeCaracter(docuPadre.Inf1.value,"\'")||existeCaracter(docuPadre.Inf1.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.Inf1.focus();
		 			return;
		 		}
		 		
		 		if(existeCaracter(docuPadre.Inf2.value,"\'")||existeCaracter(docuPadre.Inf2.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docuPadre.Inf2.focus();
		 			return;
		 		}
				
				if 	(docuPadre.FMatriculacion.value == ""){
					 arrayVehiculo2=arrayVehiculo2+"@"+"#";
				}else{
				     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FMatriculacion.value;}
				if 	(docuPadre.FAlta.value == ""){
					 arrayVehiculo2=arrayVehiculo2+"@"+"#";
				}else{
				     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FAlta.value;
				}
				if 	(docuPadre.FBajaTemp.value == ""){
					 arrayVehiculo2=arrayVehiculo2+"@"+"#";
				}else{
				     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FBajaTemp.value;
				}
				if 	(docuPadre.FCedido.value == ""){
					 arrayVehiculo2=arrayVehiculo2+"@"+"#";
				}else{
				     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FCedido.value;
				}								
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FecKmAct.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.CRango.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Situacion.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.KmActuales.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Modelo.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Marca.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Dpto.value;
				arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.DescDpto.value;
				if 	(docuPadre.Precio.value == ""){
					arrayVehiculo2=arrayVehiculo2+"@"+"#";
				}else{
			    	arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Precio.value;
			    }
	            docuPadre.arrayVehiculos.value=arrayVehiculo2;
		        docuPadre.target="_top";
	                  docuPadre.action="m05bGrabarVehiculosServlet?Matricula=" + docuPadre.Matricula.value;
			    docuPadre.submit();
		    }
		}  // Fin fncGrabar
		 function fncImprimir() {
			       var docuPadre=document.formVehiculos; 
					var url="";
					    url="m05bHistoricoPDFVehiculoJsp.jsp?Matricula=" + docuPadre.Matricula.value;
			        docuPadre.action=url;
			        docuPadre.submit();
			    }            
		
	</SCRIPT>
  	  
</HEAD>
<BODY style="cursor: wait"   onload="document.body.style.cursor='default';InitMenu();if (parent.document.formVehiculos.Aviso.value!='')
                	    {alert(dameAlerta(idioma, 90) + parent.document.formVehiculos.Aviso.value);}" onunload="document.body.style.cursor='wait';">
 <!--Capa que se muestra cuando está Procesando -->
 <!--Capa que se muestra Cuando acaba de Procesar -->
  <!--Inicio Cabecera -->
   <SCRIPT language=JavaScript>
	 var urlIdioma;		//URL recarga en funcion del idioma
	 var rutaCabecera;	//Camino de migas
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_VEHICULOS%>?Matricula=<%=matricula%>";
	 rutaCabecera = "";
	 detActual = '<%=resCM.getString("cmVehiculos")%>';
   </SCRIPT>
   <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
  <!--Fin Cabecera-->
  <!--Inicio Capa que muestra el Calendario -->
      <DIV id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
  <!--Fin Iicio Capa que muestra el Calendario -->
  <!--Tabla que engloba cuerpo y menu-->
  <P> 	 
  <table  width="100%" height="100%" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
	  <!--Celda de la izquierda que constituye el menu-->
	  <td width="2%">
		<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	     <DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	       <%@ include file="/m05bMenuInicial.inc"%>
	     </DIV>
	 	</DIV>
	   </td>
	  <!-- Fin Celda de la izquierda que constituye el menu-->
	   <td>&nbsp&nbsp</td>
	  <!-- Celda de la derecha que constituye el cuerpo de la consulta-->
	   <td width="98%">
	   	 <!--FORM INICIO DIBUJO FORMULARIO FORM VEHICULOS (la mitad superior de la pagina)-->
		 <FORM NAME="formVehiculos" METHOD="POST" TARGET="_top" >
		  <% m05bFileLog miLog = new m05bFileLog(); %>
		  <% String sAviso="";%> 
		  <!-- Hojas de Estilo -->
		  <% String m05bCalendarEstilo = miComun.leerPropiedad("m05bEstilos.Calendario");  %>
		  <%=m05bCalendarEstilo%>
		  <!-- Calendarios -->
		  <% String m05bCalendarScripts = miComun.leerPropiedad("m05bScripts.Calendario");  %>
		  <%=m05bCalendarScripts%>
          <!--Recoger Parametros-->
		  <% matricula=request.getParameter("Matricula");
		     matricula = matricula == null ? "":matricula;
			 habilitar=request.getParameter("Habilitar");
		     habilitar = habilitar == null ? "false":habilitar;
			 String rangoDefecto = request.getParameter("CRango");
		     rangoDefecto = rangoDefecto == null ? "":rangoDefecto;
			 String dptoDefecto = request.getParameter("Dpto");
		     dptoDefecto = dptoDefecto == null ? "":dptoDefecto;
			 String marcaDefecto = request.getParameter("Marca");
		     marcaDefecto = marcaDefecto == null ? "":marcaDefecto;
			 String modeloDefecto = request.getParameter("Modelo");
		     modeloDefecto = modeloDefecto == null ? "":modeloDefecto;
		     String accion=request.getParameter("Accion");

             String existe="0";
			 String matricant = request.getParameter("matricant");
		     matricant = matricant == null ? "":matricant;
		     //Inicio Recuperar el Parametro mensaje e imprimirlo
             String mensaje=request.getParameter("Mensaje");
		     mensaje = mensaje == null ? "":mensaje;
			 PrintWriter outMsg= response.getWriter();%>
			  <%if (mensaje.equals(m05bConstantes.MSG_EXISTETRANS)) {
			      outMsg.println("<script>alert(dameAlerta(idioma, 109));</script>");
    	       	  existe="1";
              } else if (mensaje.equals(m05bConstantes.MSG_EXISTEAMOR)){
			      outMsg.println("<script>alert(dameAlerta(idioma, 110));</script>");
				  existe="1";
              } else if (mensaje.equals("ExisteVehiculo")){
			      outMsg.println("<script>alert(dameAlerta(idioma, 111));</script>");
				  existe="1";
              } else if (mensaje.equals("NoExTarjeta")){
			      outMsg.println("<script>alert(dameAlerta(idioma, 112));</script>");
				  existe="1";
              } else if (mensaje.equals("NoExSeguro")){
			      outMsg.println("<script>alert(dameAlerta(idioma, 113));</script>");
				  existe="1";
			  } else if (mensaje.equals("ExisteNSerie")){
			    outMsg.println("<script>alert(dameAlerta(idioma, 114));</script>");
				existe="1";
              } else if (mensaje.equals("ExisteNSerieE")){
			    outMsg.println("<script>alert(dameAlerta(idioma, 114));</script>");
				existe="2";				
			  } else if (mensaje.equals(m05bConstantes.MSG_ERRORBD)){
			    outMsg.println("<script>alert(dameAlerta(idioma, 115));</script>");
			  } else if (mensaje.equals(m05bConstantes.MSG_GRABACION_OK)){
			    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
				existe="1";
				
			  }
			  //outMsg.close();

		     //Fin Recuperar el Parametro mensaje e imprimirlo
			 //Instanciar las clase que maneja combos y la clase que Comun que tiene tratamientos de fechas etc 
			 m05bCombo miCombo = new m05bCombo();
             %>
             	 
            <!--Ini Declarar en javascrit el array que contiene los modelos y..-->
            <!--Ini Cargar en servidor combo instanciado con los modelos-->
			<SCRIPT language="javascript">
    			var CmbDesc=new Array();
                    <%=miCombo.joinComboArray( m05bConstantes.COL_17_CODMOD, m05bConstantes.COL_17_DESCRIP, m05bConstantes.TAB_MODELOS, m05bConstantes.COL_17_CODMARCA)%>
			 </SCRIPT>
            <!--Fin Declarar en javascrit el array que contiene los modelos y..-->
            <!--Fin cargar en servidor combo instanciado con los modelos-->
            <!--Ini Incluimos en el codigo javascript las funciones de manipulacion del combo-->
			<SCRIPT language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Pulsado.js"></script>
            <!--Fin Incluimos en el codigo javascript las funciones de manipulacion del combo-->
            <!--Ini Definicion de la funcion que nos indica si se puede dar de baja un vehículo-->
			<SCRIPT>
			function ComprobarBaja(RangoBD) {
				formatearFecha(document.formVehiculos.FBajaTemp);
				formatearFecha(document.formVehiculos.FCedido);
				if ((RangoBD != document.formVehiculos.CRango.options[document.formVehiculos.CRango.selectedIndex].value )&& (RangoBD !="")) {
					alert(dameAlerta(idioma, 106));
					document.formVehiculos.Situacion.value=document.formVehiculos.SituacionBD.value;
					ComprobarSituacion(document.formVehiculos.Situacion.value);
					return false;
				} else {
					alert(dameAlerta(idioma, 107));
					document.formVehiculos.Situacion.value=document.formVehiculos.SituacionBD.value;
					ComprobarSituacion(document.formVehiculos.Situacion.value);
				}
				return true;
			}
              
			function ComprobarSituacion(situ) {
	             if (situ == "T") {
					formatearFecha(document.formVehiculos.FBajaTemp);
					document.getElementById('rowTitBajaTemporal').style.display="";
					document.getElementById('rowBajaTemporal').style.display="";
					document.getElementById('rowTitCedido').style.display="none";
					document.getElementById('rowCedido').style.display="none";
					document.formVehiculos.FBajaTemp.focus();
	  	         } else if (situ == "C") {
					formatearFecha(document.formVehiculos.FCedido);
					document.getElementById('rowTitBajaTemporal').style.display="none";
					document.getElementById('rowBajaTemporal').style.display="none";
					document.getElementById('rowTitCedido').style.display="";
					document.getElementById('rowCedido').style.display="";
					document.formVehiculos.FCedido.focus();
				 } else {
					document.getElementById('rowTitBajaTemporal').style.display="none";
					document.getElementById('rowBajaTemporal').style.display="none";
					document.getElementById('rowTitCedido').style.display="none";
					document.getElementById('rowCedido').style.display="none";
				 }
			}
			   </SCRIPT>
			   <!--Ini Si se llama a esta ventana desde otra ala que hay que retornar se pinta el botón-->
               <% if  (habilitar.equals("true"))   {%>
                 <TABLE class='general'><tr><td align='right'> 
                     <INPUT TYPE='IMAGE' style="cursor: hand" VALUE='Retornar' ONCLICK='JavaScript:fncRetornar();return false;'  src='/parquemovil/images/retornar.gif'/> 
                 </td></tr></TABLE>
               <%}%>
                <% if  (habilitar.equals("true2"))   {%>
                 <TABLE class='general'><tr><td align='right'> 
                     <INPUT TYPE='IMAGE' style="cursor: hand" VALUE='Retornar' ONCLICK='JavaScript:history.back();return false;'  src='/parquemovil/images/retornar.gif'/> 
                 </td></tr></TABLE>
               <%}%>
			   <!--Fin Si se llama a esta ventana desde otra ala que hay que retornar se pinta el botón-->
			   <!--Ini Dibujar la mitad superior de la pagina incluidos los enlaces a modo de pestaña.-->
  		       <TABLE class="vehiculos" >
				<tr>
       			 <td valign="top" class="inputFieldTitle"><%= res.getString("etMatricula")%></td>
				 <td valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etFMatriculacion")%></td>
     			 <td valign="top" class="inputFieldTitle"><%= res.getString("etMarca")%></td>
     			 <td valign="top" class="inputFieldTitle"><%= res.getString("etModelo")%></td>
		         <!--td valign="top" class="inputFieldTitle"  class="inputFieldTitleBlank"><%//= res.getString("etPrecio")%></td-->
                 <td valign="top" colspan="2" class="inputFieldTitle"><%= res.getString("etFAlta")%></td>
		        </tr>
				<tr>
				 <td  align="left" width="16%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Matricula" VALUE="<%=matricula%>" size="12" maxlength="20" onBlur="javascript:fncMatricula();return false;" onKeyPress="this.style.background=('blue');this.style.color=('white')" /></td>
				 <!--td  align="left"><INPUT TYPE="IMAGE"  VALUE="Buscar" ONCLICK="javascript:fncMatricula();return false;" onMouseOver="top.status='Buscar';" onMouseOut="top.status='';" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/lupa.gif"  /></a></td-->
                 <td  align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="FMatriculacion" VALUE="" size="10" maxlength="10" onblur='javascript:if ((formatearFecha(this)=="0")&& (document.formVehiculos.FecKmAct.value=="")){document.formVehiculos.FecKmAct.value=this.value;}return false;' /></td>
        		 <td  align="left" width="6%"><a href='#' name='anchorFMatriculacion'  onClick='JavaScript:showCalendar("anchorFMatriculacion",idioma,document.all("FMatriculacion"),true,25,10,2002);cambiaPosCal(140,20);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></a></td>
            	 <td  align="left" width="22%">
     			  <select class=inputFieldOblig  NAME="Marca" onchange="JavaScript:blur();" onKeypress="if ((event.keyCode == 13)||(event.keyCode == 21)){blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();" onblur="Pulsado(Marca.options[Marca.selectedIndex].value, document.formVehiculos.Modelo, CmbDesc,'');document.formVehiculos.Modelo.disabled=false; document.formVehiculos.Modelo.focus(); return false;" >
    			   <option value=""> </option>							       
    			    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MARCAS, marcaDefecto )%>
    			  </select>
    		     </td>					
       			 <td align="left" width="22%">
   				  <select class=inputFieldOblig  NAME="Modelo" disabled onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
   				   <option value=""> </option>
				      <%=miCombo.popCombo( m05bConstantes.COL_17_CODMOD, m05bConstantes.COL_17_DESCRIP, m05bConstantes.TAB_MODELOS, "", "", "" )%>
				  </select>
                 </td>
    			 <!--td  align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Precio"  VALUE="" size="12" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"></td-->
   			  	 <td align="left" width="10%"><INPUT class="inputField" TYPE="TEXT" NAME="FAlta"  VALUE=""  size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
		         <td align="left"> <a href='#' name='anchorFAlta'  onClick='JavaScript:showCalendar("anchorFAlta",idioma,document.all("FAlta"),true,25,10,2002);cambiaPosCal(685,140);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendarioA"/></a></td>
  	 			 </tr>
                </TABLE>    	 			 										
                <TABLE class="vehiculos" >
	             <tr>
			       <!--td valign="top" class="inputFieldTitle" colspan="2"><%//= res.getString("etFBaja")%></td-->
	               <!--td valign="top" class="inputFieldTitle"><%//= res.getString("etImporteBaja")%></td-->
       			   <td  valign="top" class="inputFieldTitle"><%= res.getString("etKmActuales")%></td>
     			   <td  valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etFKm")%></td>
    		       <td valign="top" class="inputFieldTitle" ><%= res.getString("etRango")%></td>
 				   <td valign="top" colspan="2"class="inputFieldTitle"><%= res.getString("etSituacion")%></td>
                  </tr>
                  <tr  valign="middle" border-right= "solid" >
    			   <td valign="bottom" align="left" width="16%">
    			      <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="KmActuales" VALUE="0"  size="7" maxlength="7" onblur="javascript:formatNumero(this);return false;"/>&nbsp;
   			       </td>		      			  
		           <td align="left" width="10%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="FecKmAct" VALUE="" onblur="javascript:formatearFecha(this);return false;" size="10" maxlength="10" /></td>
		           <td align="left" width="6%"> <a href='#' name='anchorFKmAct'  onClick='JavaScript:showCalendar("anchorFKmAct",idioma,document.all("FecKmAct"),true,25,10,2002);cambiaPosCal(115,20);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario4"/></a></td>
				   <td align="left" width="44%" >
				     <select class="inputFieldOblig"  NAME="CRango" onchange="JavaScript:blur();" onblur="javascript:  if (this.value!=''){fncCambioRango(CRangoBD.value);borrar_buffer();return false;}" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
				       <option value=""> </option>	
				       	<%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC,"NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, rangoDefecto )%>
				     </select>
    			   </td>
                   <td align="left"  colspan="2">
                    <select class=inputFieldOblig  NAME="Situacion" onchange="JavaScript:ComprobarSituacion(Situacion.options[Situacion.selectedIndex].value);blur();" onblur="javascript: if (Situacion.options[Situacion.selectedIndex].value=='B'){ComprobarBaja(CRangoBD.value);return false;};borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
                     <option value=""> </option>
                       <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_SITUACIONES, "" )%>
         			</select>
				    </td>
 				 </tr>
 				 <tr id="rowTitBajaTemporal">
 				   <td width="76%" colspan="4"></td>
 				   <td  valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etFBajaTmp")%></td>
 				 </tr>
 				 <tr id="rowBajaTemporal">
 				   <td width="76%" colspan="4"></td>
 				   <td align="left" width="10%"><INPUT class="inputField" TYPE="TEXT" NAME="FBajaTemp"  VALUE=""  size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
		           <td align="left"> <a href='#' name='anchorFBajaTmp'  onClick='JavaScript:showCalendar("anchorFBajaTmp",idioma,document.all("FBajaTemp"),true,25,10,2002);cambiaPosCal(685,180);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendarioBajaTemp"/></a></td>
		         </tr>
 				 <tr id="rowTitCedido">
 				   <td width="76%" colspan="4"></td>
 				   <td  valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etFCedido")%></td>
 				 </tr>
 				 <tr id="rowCedido"  >
 				   <td width="76%" colspan="4"></td>
 				   <td align="left" width="10%"><INPUT class="inputField" TYPE="TEXT" NAME="FCedido"  VALUE=""  size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
		           <td align="left"> <a href='#' name='anchorFCedido'  onClick='JavaScript:showCalendar("anchorFCedido",idioma,document.all("FCedido"),true,25,10,2002);cambiaPosCal(685,180);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendarioCedido"/></a></td>
		         </tr>		         
		         <script>
		            document.getElementById('rowTitBajaTemporal').style.display="none";
		            document.getElementById('rowBajaTemporal').style.display="none";
		            document.getElementById('rowTitCedido').style.display="none";
		            document.getElementById('rowCedido').style.display="none";
		        </script>
                </TABLE>
				<TABLE class="vehiculos"  >
     		     <tr>
       			   <!--td  valign="top" class="inputFieldTitle"><%= res.getString("etKmActuales")%></td-->
     			   <!--td  valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etFKm")%></td-->
   				   <td WIDTH="76%" valign="top" class="inputFieldTitle"><%= res.getString("etDepartamento")%></td>
       			   <td WIDTH="24%" valign="top" class="inputFieldTitle"><%= res.getString("etMatriculaAnterior")%></td>
     			 </tr>
     			 <tr>
     			 		   
    			   <!--td valign="bottom" align="left">
    			      <INPUT class="inputField" TYPE="TEXT" NAME="KmActuales" VALUE="0"  size="7" maxlength="7" onblur="javascript:formatNumero(this);return false;"/>&nbsp;
   			       </td-->		      			  
		           <!--td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="FecKmAct" VALUE="" onblur="javascript:formatearFecha(this);return false;" size="10" maxlength="10" /></td-->
		           <!--td align="left"> <a href='#' name='anchorFKmAct'  onClick='JavaScript:showCalendar("anchorFKmAct","cast",document.all("FecKmAct"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario4"/></a></td-->
    			   <td align="left">
    			   	<div id="comboDpto" name="comboDpto">
	  				    <select class=inputFieldOblig  NAME="Dpto" id="Dpto" onchange="JavaScript:blur();" onblur="javascript: if (this.value!=''){fncCambiaDpto();document.formVehiculos.MatriculaAnt.focus();}borrar_buffer();return false;" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
							<option value=""> </option>
							<%if (dptoDefecto==null || dptoDefecto.trim().length()==0) {%>
						    	<%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "SIT_06", "'A'", "")%>
							<%} else {%>
								<%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "COD_DPTO_06="+dptoDefecto+" OR SIT_06", "'A'", dptoDefecto)%>
							<%}%>
						
	   				    </select>
	   				</div>
   				    </td>
				    <td valign="bottom" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="MatriculaAnt" VALUE="<%=matricant%>" size="12" maxlength="20" readonly="readonly" /></td>
  				  </tr>
   				 </TABLE>
   				 		 
   				 <!-- Menu Central que parte por la mitad la pagina-->
				 <TABLE class="general">
     			  <tr>
                   <td id="tabVarios" bgcolor="#000078" ><a href="#" onclick="javascript:fncVarios('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMVARIOS")%></a></td>
                   <td id="tabEconomica" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncEconomica('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMECONOMICA")%></a></td>
                   <td id="tabTasa" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncTasa('<%=habilitar%>');return false;"       style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMTASAS")%></a></td>
                   <td id="tabTarjetas" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncTarjetas('<%=habilitar%>');return false;"   style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMTARJETAS")%></a></td>
                   <td id="tabGastos" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncGastos('<%=habilitar%>');return false;"     style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMGASTOS")%></a></td>
                   <td id="tabSeguros" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#" onclick="javascript:fncSeguro('<%=habilitar%>');return false;"     style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSEGUROS")%></a></td>
                   <td id="tabSanciones" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"onclick="javascript:fncSanciones('<%=habilitar%>');return false;"  style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSANCIONES")%></a></td>
                   <td id="tabItv" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"   onclick="javascript:fncITV('<%=habilitar%>');return false;"        style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMITV")%></a></td>
                   <td id="tabSiniestros" bgcolor="#3366CC" onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"  onclick="javascript:fncSiniestros('<%=habilitar%>');return false;" style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMSINIESTROS")%></a></td>
     			   <td id="tabReformas" bgcolor="#3366CC"  onmouseout="fueraPestana(this)" onmouseover="javascript:dentroPestana(this);"><a href="#"    onclick="javascript:fncReformas('<%=habilitar%>');return false;"   style='text-decoration:none; font-size:7pt; color:#FFFFFF; font-family:verdana'   ><%= res.getString("etMREFORMAS")%></a></td>
                  </tr>
                 </TABLE>
                 <!--Valores ocultos del formulario-->
                 <INPUT class="inputField" TYPE="hidden" NAME="DescDpto" VALUE="Javascript:Dpto.item(Dpto.selectedIndex).innerHTML;return false;"/>
                 <INPUT type="hidden" NAME="Precio" value="">                 	  
		         <input type="hidden" name="CRangoBD">
		         <input type="hidden" name="SituacionBD">
		         <input type="hidden" name="ImpTransferenciaVehi">
		         <input type="hidden" name="Habilitar" value="<%=habilitar%>">
		         <input type="hidden" name="Asignado" >
		         <input type="hidden" name="Aviso" >
		         <input type="hidden" name="Existe" value="0" >
               <script>
               	    document.formVehiculos.Existe.value="<%=existe%>";
               </script>			  	  
                <!--Valores mitad inferior de la ventana-->
		        <TABLE class='general'>
		         <tr>
		          <td align='left' WIDTH='80%'> 
		               <input  style=" border = '0px solid #FF0000'; color:red;" name="TitTransferencia" value="">            	
		               <input  style=" border = '0px solid #FF0000'; color:red;" name="ImpTransferencia" value="">
		         </td>
	             <SCRIPT>
	             //var botGrabar='<%= res.getString("etBOT_GRABAR")%>';
	             //var botStatusGrabar='<%= res.getString("etBOT_GRABAR")%>';
	             //var botHistorico='<%= res.getString("etBOT_HISTORICO")%>';
	             //var botStatusHistorico='<%= res.getString("etBOT_HISTORICO")%>';
	             //var blanco=' ';
                  if ((document.formVehiculos.Situacion.value!="B") ) {					
		            //document.write("<td align='right' WIDTH='10%'><input type='button' class='boton' name='" + botGrabar + "' value='"+botGrabar+"' ONCLICK='JavaScript:fncGrabar();return false;' /> </td>");
		            document.write('<td align="right" WIDTH="10%"><input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar();return false;" onMouseOver="top.status='+"'"+'<%= res.getString("etBOT_STATUSGRABAR")%>'+"'"+'; return false" onMouseOut="top.status='+"''"+'; return false" /></td>');				      					
		            document.write('<td align="right" WIDTH="10%"><input type="button" class="boton" name="<%= res.getString("etBOT_HISTORICO")%>" value="<%= res.getString("etBOT_HISTORICO")%>" ONCLICK="JavaScript:fncImprimir();return false;" onMouseOver="top.status='+"'"+'<%= res.getString("etBOT_STATUSHISTORICO")%>'+"'"+'; return false" onMouseOut="top.status='+"''"+'; return false" /></td>');				      					
		            //document.write("<td align='right' WIDTH='10%'><input type='button' class='boton' name='" + botHistorico + "' value='"+botHistorico+"' ONCLICK='JavaScript:fncImprimir();return false;' /> </td>");
		            }
		          //  <!--INPUT name='Grabar' TYPE='IMAGE' style='cursor: hand' VALUE='Grabar'  ONCLICK='JavaScript:fncGrabar();return false;'  src='/parquemovil/images/grabar.gif'/--> 
		               

		         </SCRIPT>
               </tr>
             </TABLE>
             <INPUT class="inputField" TYPE="hidden" NAME="arrayVehiculos" VALUE=""/>		  		
		     <TABLE class="general">
		      <tr>
		       <td valign="top" align="left" class="inputFieldTitle" colspan="2"><%= res.getString("etFGarantia")%></td>
		       <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etKmRevision")%></td>
		       <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etMesesRevision")%></td>
		       <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etColor")%></td>
		       <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etExpediente")%></td>
		       <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etBastidor")%></td>
		     </tr>
		     <tr>
   		     <td align="left" colspan="2">
   		      	<table width="100%" cellpadding="0" cellspacing="0">
   		      		<tr>
   		      			<td width="62%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FecGarantia" VALUE="" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
   		      			<td width="38%" align="left"><a href='#' name='anchorFGarantia'  onClick='JavaScript:showCalendar("anchorFGarantia",idioma,document.all("FecGarantia"),true,25,10,2002);cambiaPosCal(20,320);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border ="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendariogarantia"/></td>
   		      		</tr>
   		      	</table>
   		      </td>
		      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Kilometros" VALUE="" size="8" maxlength="6" onblur="javascript:formatNumero(this);return false;"/> </td>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Meses" VALUE="" size="10" maxlength="3" onblur="javascript:formatNumero(this);return false;"/> </td>
			  <td align="left">
			   <select class=inputField  NAME="Color" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
			    <option value=""> </option>
				  <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC,"NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_COLORES, "" )%>
			   </select>
			  </td>
		      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Expdte" VALUE="" size="15" maxlength="15"/></td>
		      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="NSerie" VALUE="" size="20" maxlength="20"/></td>
		     </tr>
		     <tr>
		      <td valign="top" align="left" class="inputFieldTitle" colspan="2"><%= res.getString("etAutorizaApar")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCaballosReales")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" colspan="2"><%= res.getString("etInfAdicional1")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" colspan="2"><%= res.getString("etInfAdicional2")%></td>
		    </tr>
		    <tr>
		      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="Autoriza" VALUE="" size="15" maxlength="15"/></td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="CVReales" VALUE="" size="6" maxlength="6" onblur="javascript: formatNumeroDecimal(this,3,2);"/> </td>
		      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="Inf1" VALUE="" size="35" maxlength="100"/> </td>
		      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="Inf2" VALUE="" size="35" maxlength="100"/></td>
		    </tr>
		    	                <INPUT class="inputField" TYPE="HIDDEN" NAME="CVFiscales" VALUE="" size="6" maxlength="6" />		  		  

 <!--FORM FIN DIBUJO FORMULARIO FORM VEHICULOS (la mitad superior de la pagina)-->
 <!--Carga de datos de la parte superior-->		
   <%java.sql.Connection conn=null;
   PreparedStatement pstmt = null, pstmt2 = null;
   ResultSet rs = null;
   ResultSet rs2 = null;
   m05bVehiculos vehiculo=null;
   
	  String strFecMat=miComun.getFechaActual(campoTexto3);
	  miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecMat-1: " + strFecMat, m05bConstantes.LOG_NIVEL_BAJO);
	  
	  String strFecAlta="";
  	  String strFBajaTemp="";
  	  String strFCedido="";
	  //String strFecBaja="";
  	  String activarSituacion="0";
  	  String activarSituacionNuevo="0";
	  String modelo="";
	  String marca="";
	  String codrango="";
	  String situacion="";
	  String kmact="0";
	  String fkmact=miComun.getFechaActual(campoTexto3);
	  String coddpto="";
	  String descdpto="";
	  String codmod="";  
	  String precio="";
	  String codColor="";
	  //Variables parte de abajo de la pagina
 	  String autoriza="";
	  String caballos="";
	  String caballosreales="";
	  String inf1="";
	  String inf2="";
	  String rotulado="";
	  String notas="";
	  String nserie="";
	  String fgarantia="";
	  String color="";
	  String kmrevis="";
	  String mesrevis="";
	  String expdte="";
	  String impTransferencia="";
	  String aparcado="";
	  String vcontab="";
	  String amoanual="";
	  String amoacum="";
	  String destino="";
	  String motivbaja="";
	  String fadquis="";
	  String regadquis="";
	  String poliza="";
	  String ffin="";
	  String vidautil="";
	  String cteReplace="&#x000D;";
	  
   %>

 <%try {
   m05bConexion miConex = new m05bConexion();
   conn = miConex.getConnection();
   conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
   String strMatricula="";
   if (matricula==null){
       matricula="";}
   if (matricula.equals("")){
	  	 //si el vehículo no lo hemos recuperado de la base de datos
	  	 //porque es la primera vez que entramos en la pagina
         session.removeAttribute("m05bVehiculos");
		 vehiculo = new m05bVehiculos();
		 session.setAttribute("m05bVehiculos",vehiculo);
   } else{  	    
	  
	  StringBuffer sql= new StringBuffer();
  	  StringBuffer sqlComprobarT= new StringBuffer();
  	  StringBuffer sqlComprobarS= new StringBuffer();
  	  StringBuffer sqlComprobarR= new StringBuffer();
  	  //StringBuffer sqlMatricAnt= new StringBuffer();
  	  StringBuffer sqlAsignado= new StringBuffer();
  	  StringBuffer sqlOrdenT= new StringBuffer();
	  StringBuffer sqlB = new StringBuffer();
	  m05bComun comun = new m05bComun();

      sql.append("SELECT ").append(m05bConstantes.COL_34_KMACTUALES).append(",").append(m05bConstantes.COL_34_MARCA).append(",");
      sql.append(m05bConstantes.COL_17_DESCRIP).append(",").append(m05bConstantes.COL_17_CODMOD);
      sql.append(",").append(m05bConstantes.COL_34_SITUACION).append(",").append(m05bConstantes.COL_34_FKMACT);
      sql.append(",").append(m05bConstantes.COL_34_IMPBAJA);
      sql.append(",C.").append(m05bConstantes.COL_99_CODTABLA).append(",").append("CODDPTO_34");
      sql.append(",").append("DESDPTO_34").append(",").append(m05bConstantes.COL_34_RANGO);
      sql.append(",").append(m05bConstantes.COL_34_FALTA).append(",").append(m05bConstantes.COL_34_FBAJA);
      sql.append(",").append(m05bConstantes.COL_34_PRECIO);      
      sql.append(",C.").append(m05bConstantes.COL_99_DESCRIPCION).append(",").append(m05bConstantes.COL_34_FMATRIC);
      sql.append(",").append(m05bConstantes.COL_34_APARCADO);      
      sql.append(",").append(m05bConstantes.COL_34_VCONTAB);      
      sql.append(",").append(m05bConstantes.COL_34_AMOANUAL);      
      sql.append(",").append(m05bConstantes.COL_34_AMOACUM);      
      sql.append(",").append(m05bConstantes.COL_34_IMPBAJA);      
      sql.append(",").append(m05bConstantes.COL_34_DESTINO);      
      sql.append(",").append(m05bConstantes.COL_34_MOTIVBAJA);      
      sql.append(", TO_CHAR(").append(m05bConstantes.COL_34_FADQUIS).append(",'dd/mm/yyyy')");      
      sql.append(",").append(m05bConstantes.COL_34_REGADQUIS);      
      sql.append(",").append(m05bConstantes.COL_34_MATRIC_ANT);      
      sql.append(",").append(m05bConstantes.COL_34_POLIZA);      
      sql.append(",").append(m05bConstantes.COL_34_VIDAUTIL);      
      sql.append(",C.").append(m05bConstantes.COL_99_CODDESC); 
      sql.append(",").append(m05bConstantes.COL_34_FBAJATEMP);         
      sql.append(",").append(m05bConstantes.COL_34_FCEDIDO);               
      sql.append("  FROM ");
      sql.append(m05bConstantes.TAB_VEHICULOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES).append(" C,");
      sql.append(m05bConstantes.TAB_MODELOS).append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA).append("='");
      sql.append(matricula).append("' AND ").append(m05bConstantes.COL_34_MODELO).append("=");
      sql.append(m05bConstantes.COL_17_CODMOD);
      sql.append("(+) AND  C.").append(m05bConstantes.COL_99_CODTABLA);
      sql.append("(+)='").append(m05bConstantes.DESC_COLORES).append("' AND C.").append(m05bConstantes.COL_99_CODDESC);
      sql.append("(+)=").append(m05bConstantes.COL_34_COLOR);
		             miLog.addTraza(persona , "m05bVehiculos" , "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
      
	  //COMPROBAR-TARJETAS	 
	  sqlComprobarT.append("SELECT 1").append(" FROM ").append(m05bConstantes.TAB_TARJETAS);
  	  sqlComprobarT.append(" WHERE ").append(m05bConstantes.COL_31_MATRICULA).append("='");
  	  sqlComprobarT.append(matricula).append("' AND ").append(m05bConstantes.COL_31_SITUACION).append("='A'");
  	  sqlComprobarT.append(" AND ").append(m05bConstantes.COL_31_TIPO).append("='G'");
		             miLog.addTraza(persona , "m05bVehiculos" , "sqlComprobarT: " + sqlComprobarT.toString(),m05bConstantes.LOG_NIVEL_BAJO);
	  //COMPROBAR-SEGUROS	 
	  sqlComprobarS.append("SELECT 1").append(" FROM ").append(m05bConstantes.TAB_HIST_SEGUROS);
  	  sqlComprobarS.append(" WHERE ").append(m05bConstantes.COL_13_MATRICULA).append("='");
  	  sqlComprobarS.append(matricula).append("' AND ").append(m05bConstantes.COL_13_ESTADO).append("='A' AND ");
  	  sqlComprobarS.append(m05bConstantes.COL_13_CODIGO).append(" in  (select max(TO_NUMBER(");
  	  sqlComprobarS.append(m05bConstantes.COL_13_CODIGO).append("))  from ");
  	  sqlComprobarS.append(m05bConstantes.TAB_HIST_SEGUROS);
  	  sqlComprobarS.append(" WHERE ").append(m05bConstantes.COL_13_MATRICULA).append("='");
  	  sqlComprobarS.append(matricula).append("')  ");
		             miLog.addTraza(persona , "m05bVehiculos" , "sqlComprobarS: " + sqlComprobarS.toString(),m05bConstantes.LOG_NIVEL_BAJO);
	  //RECUPERAR-MATRICULA-ANTERIOR	 
	  //sqlMatricAnt.append("SELECT ").append(m05bConstantes.COL_44_MATRIC_ANT).append(" FROM ").append(m05bConstantes.TAB_HIST_VEHICULOS);
  	  //sqlMatricAnt.append(" WHERE ").append(m05bConstantes.COL_44_MATRICULA).append("='");
  	  //sqlMatricAnt.append(matricula).append("' ORDER BY ").append(m05bConstantes.COL_44_ID).append(" desc ");
		             //miLog.addTraza(persona , "m05bVehiculos" , "sqlMatricAnt: " + sqlMatricAnt.toString(), m05bConstantes.LOG_NIVEL_BAJO);
	  //Comprobar si el vehiculo esta en un a orden de trabajo o asingnado	 
      sqlAsignado.append(" select DECODE(").append(m05bConstantes.COL_01_FDEVOL).append(",'','A','A'||TO_CHAR(");
      sqlAsignado.append(m05bConstantes.COL_01_FDEVOL).append(",'dd/mm/yyyy')),");
      sqlAsignado.append(m05bConstantes.COL_01_FDEVOL).append(" as fecha from ");
      sqlAsignado.append(m05bConstantes.TAB_ASIGNACION).append(" where ");
      sqlAsignado.append(m05bConstantes.COL_01_MATRICULA).append("='").append(matricula).append("' ");
      sqlAsignado.append(" order by fecha desc");
		miLog.addTraza(persona , "m05bVehiculos" , "sqlAsignado: " + sqlAsignado.toString(), m05bConstantes.LOG_NIVEL_BAJO);
      
      //sqlAsignado.append(" union select DECODE(").append(m05bConstantes.COL_20_FSALIDA).append(",'','X',");
      //sqlAsignado.append("TO_CHAR(").append(m05bConstantes.COL_20_FSALIDA).append(",'dd/mm/yyyy')),");
      //sqlAsignado.append(m05bConstantes.COL_20_FSALIDA).append(" as fecha from ");
      //sqlAsignado.append(m05bConstantes.TAB_ORDENESTRAB ).append(" where ").append(m05bConstantes.COL_20_MATRICULA);
      //sqlAsignado.append("='").append(matricula).append("' order by fecha desc");
      
      sqlOrdenT.append(" select DECODE(").append(m05bConstantes.COL_20_FSALIDA).append(",'','O',");
      sqlOrdenT.append("'O'||TO_CHAR(").append(m05bConstantes.COL_20_FSALIDA).append(",'dd/mm/yyyy')),");
      sqlOrdenT.append(m05bConstantes.COL_20_FSALIDA).append(" as fecha from ");
      sqlOrdenT.append(m05bConstantes.TAB_ORDENESTRAB ).append(" where ").append(m05bConstantes.COL_20_MATRICULA);
      sqlOrdenT.append("='").append(matricula).append("' order by fecha desc");
      
		             miLog.addTraza(persona , "m05bVehiculos" , "sqlAsignado: " + sqlAsignado.toString(), m05bConstantes.LOG_NIVEL_BAJO);
	  //OBTENER-RANGO	 
	  sqlComprobarR.append("SELECT ").append(m05bConstantes.COL_34_RANGO).append(" FROM ").append(m05bConstantes.TAB_VEHICULOS);
  	  sqlComprobarR.append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA).append("='");
  	  sqlComprobarR.append(matricula).append("'");
      sqlB.append("SELECT ").append(m05bConstantes.COL_34_MESREVIS).append(",");
	  sqlB.append(m05bConstantes.COL_34_KMREVIS).append(",").append(m05bConstantes.COL_34_COLOR);
	  sqlB.append(",").append(m05bConstantes.COL_34_FGARANTIA).append(",");
	  sqlB.append(m05bConstantes.COL_34_ROTULADO).append(",").append(m05bConstantes.COL_34_EXPDTE);
	  sqlB.append(",").append(m05bConstantes.COL_34_INF1).append(",").append(m05bConstantes.COL_34_INF2);
	  sqlB.append(",").append(m05bConstantes.COL_34_NSERIE).append(",").append(m05bConstantes.COL_34_NOTA);
	  sqlB.append(",").append(m05bConstantes.COL_34_AUTORI_APAR).append(",").append(m05bConstantes.COL_34_CV);
	  sqlB.append(",").append(m05bConstantes.COL_34_CR);
	  sqlB.append(" FROM ").append(m05bConstantes.TAB_VEHICULOS).append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA);
	  sqlB.append("='").append(matricula).append("'");		             miLog.addTraza(persona , "m05bVehiculos" , "sqlB: " + sqlB.toString(), m05bConstantes.LOG_NIVEL_BAJO);

	//SQL Comprobar si la situacion es pendiente si tiene 
	//Si el ha habido algun error y el mensaje trae algun valor se recuperan los ultimos datos
	//metidos en la pagina del objeto m05bVehiculos
	  if ((!(mensaje.equals(""))) && (!(existe.equals("1")))) {
	  	//Datos parte superior de la pagina
		vehiculo = (m05bVehiculos)session.getAttribute("m05bVehiculos");
		situacion = vehiculo.getVeh_situacion();
		miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "situacion: " + situacion, m05bConstantes.LOG_NIVEL_BAJO);
		
		   strMatricula = vehiculo.getVeh_matricula();
		   codmod = vehiculo.getVeh_modelo();
	       coddpto = vehiculo.getVeh_coddpto();
		   descdpto = vehiculo.getVeh_desdpto();
		   marca = vehiculo.getVeh_marca();
		   kmact = vehiculo.getVeh_kmact();
		   //datos de la parte inferior de la pagina
		   nserie = vehiculo.getVeh_nserie();
		   autoriza = vehiculo.getVeh_autaparc();
	       inf1 = vehiculo.getVeh_iadic1();
		   inf2 = vehiculo.getVeh_iadic2();
		   rotulado = vehiculo.getVeh_rotul();
		   mesrevis = vehiculo.getVeh_mesrevis();
		   kmrevis = vehiculo.getVeh_kmrevis();
		   fgarantia = vehiculo.getVeh_fgarantia();
		   color = vehiculo.getVeh_color();
		   expdte = vehiculo.getVeh_expte();
		   caballos = vehiculo.getVeh_cvfisc();
		   caballosreales = vehiculo.getVeh_cvreal();
		   notas = vehiculo.getVeh_observ();
		   impTransferencia=vehiculo.getVeh_imptransf();
		   
	       aparcado = vehiculo.getVeh_aparcado();
	       vcontab = vehiculo.getVeh_vcontab();
	       amoanual = vehiculo.getVeh_amoanual();
	       amoacum = vehiculo.getVeh_amoacum();
	       destino = vehiculo.getVeh_destino();
	       motivbaja = vehiculo.getVeh_motbaja();
	       fadquis = vehiculo.getVeh_fadquis();
	       regadquis = vehiculo.getVeh_regadq();
	       //matricant = vehiculo.getVeh_matricant();
	       poliza = vehiculo.getVeh_poliza();
	       vidautil = vehiculo.getVeh_vidautil();
	       
		   //si el mensaje es igual a existe significa que para ese
		   // vehiculo ha habido para ese mismo dia un cambio de rango y no puede ser
		   //asi que se pone el rango de BD no el que habia seleccionado el usuario
           if ((mensaje.equals(m05bConstantes.MSG_EXISTETRANS)) || (mensaje.equals(m05bConstantes.MSG_EXISTEAMOR))){
		      pstmt2 = conn.prepareStatement(sqlComprobarR.toString());
		   	  rs2 = pstmt2.executeQuery();
		   	  if (rs2.next()) {
                codrango=rs2.getString(m05bConstantes.COL_34_RANGO);
                vehiculo.setVeh_rango(codrango);
              }
              if (rs2 != null)
			      rs2.close();
              if (pstmt2 != null)
			      pstmt2.close();
           } 
		   codrango = vehiculo.getVeh_rango();
		   strFecAlta = vehiculo.getVeh_falta();
	  	   miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecAlta: " + strFecAlta, m05bConstantes.LOG_NIVEL_BAJO);
		   
		   //strFecBaja = vehiculo.getVeh_fbaja();
		   fkmact = vehiculo.getVeh_fkmact();
	  	   miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecMat-2: " + strFecMat, m05bConstantes.LOG_NIVEL_BAJO);
		   strFecMat = vehiculo.getVeh_fmatric();
   		   strFecAlta = vehiculo.getVeh_fbajatemp();
   		   strFecAlta = vehiculo.getVeh_fcedido();
		   precio = vehiculo.getVeh_precio();
		   matricant= vehiculo.getVeh_matricant();
	  } else{ 
	  	  //Si no ha habido ningun error a la hora de grabar el vehiculo o es 
	  	  //estamos en la pagina sin haber grabado nada
		  if (vehiculo == null){
		  	 //si el vehículo no lo hemos recuperado de la base de datos
		  	 //porque es la primera vez que entramos en la pagina
	         session.removeAttribute("m05bVehiculos");
		  	 vehiculo = new m05bVehiculos();
		     session.setAttribute("m05bVehiculos",vehiculo);
	  	  }
	  	  //Recuperamos los datos del vehiculo
		  pstmt = conn.prepareStatement(sql.toString());
		  rs = pstmt.executeQuery();
	      if (rs.next()){
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "ExisteVehiculo2: ", m05bConstantes.LOG_NIVEL_BAJO );
	       	m05bCampos m05bMisCampos =new m05bCampos();
	       	sAviso=m05bMisCampos.getAviso(matricula, m05bConstantes.COL_02_VEHICULO,campoTexto);%>
                <script>
                    parent.document.formVehiculos.Aviso.value="<%=sAviso%>";
                </script>
            <!--Recogemos los valores de la mitad superior-->
            <% marca=rs.getString(m05bConstantes.COL_34_MARCA);
     		   situacion=rs.getString(m05bConstantes.COL_34_SITUACION);
			   if (situacion.equals("P") || situacion.equals("T")) {
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "iniro ExisteVehiculo: situacion: " + situacion , m05bConstantes.LOG_NIVEL_BAJO);
			   	 	//Comprobamos si tiene tarjeta
		            //pstmt2 = conn.prepareStatement(sqlComprobarT.toString());
			        //rs2 = pstmt2.executeQuery();
			        //miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Existe: Tarjeta", m05bConstantes.LOG_NIVEL_BAJO );
		   	     
		   	        //if (!rs2.next()) {
						//activarSituacion="1" ;}
					//if (rs2 != null)
						//rs2.close();
                 	//if (pstmt2 != null)
						//pstmt2.close();
		       	 	
					pstmt2 = conn.prepareStatement(sqlComprobarS.toString());
					rs2 = pstmt2.executeQuery();
					if (!rs2.next())
						activarSituacion="1";

					if (rs2 != null)
						rs2.close();
					if (pstmt2 != null)
						pstmt2.close();
						
					//Comprobamos si tiene precio
					double precio2=rs.getDouble(m05bConstantes.COL_34_PRECIO);
                 
	             	if (precio2==0.0 ) {
						precio="";
						miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Precio=0.0", m05bConstantes.LOG_NIVEL_BAJO);
                   		activarSituacion="1";
                   		activarSituacionNuevo="1";
					}
               }
               
		        miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Despues Situacion1" , m05bConstantes.LOG_NIVEL_BAJO);
                //Seguimos recogiendo el resto de los datos de la mitad superior
	            codrango=rs.getString(m05bConstantes.COL_34_RANGO);
	            modelo=rs.getString(m05bConstantes.COL_17_DESCRIP);
	            codmod=rs.getString(m05bConstantes.COL_17_CODMOD);
	            kmact=rs.getString(m05bConstantes.COL_34_KMACTUALES);
	            if ((kmact==null )||(kmact=="0" ))
	                    kmact="0";
	            fkmact=rs.getString(m05bConstantes.COL_34_FKMACT);
		        miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "fkmact-1: " + fkmact, m05bConstantes.LOG_NIVEL_BAJO);
	            if (fkmact==null || fkmact.equals("NULL"))
	                   	fkmact="";
	            else
	            		fkmact=comun.Mes(fkmact,campoTexto3);
		        miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "fkmact-2: " + fkmact, m05bConstantes.LOG_NIVEL_BAJO);
	            coddpto=rs.getString("CODDPTO_34");
	            descdpto=rs.getString("DESDPTO_34");
	            strFecAlta=rs.getString(m05bConstantes.COL_34_FALTA);
	            strFBajaTemp=rs.getString(m05bConstantes.COL_34_FBAJATEMP);
	            strFCedido=rs.getString(m05bConstantes.COL_34_FCEDIDO);
	  		    miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecAlta: " + strFecAlta, m05bConstantes.LOG_NIVEL_BAJO);
	  		    miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecMat-3: " + strFecMat, m05bConstantes.LOG_NIVEL_BAJO);
	            strFecMat=rs.getString(m05bConstantes.COL_34_FMATRIC);
                precio = rs.getString(m05bConstantes.COL_34_PRECIO);
	            if (precio==null )
	                    precio="";
	            if (strFecAlta==null || strFecAlta=="")
	                    strFecAlta="";
	            else
	                    strFecAlta=comun.Mes(strFecAlta,campoTexto3);
	            //if (strFecBaja==null || strFecBaja=="")
	            //        strFecBaja="";
	            //else
	            //        strFecBaja=comun.Mes(strFecBaja);
	  			miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecMat-4: " + strFecMat, m05bConstantes.LOG_NIVEL_BAJO);
	            if (strFecMat==null || strFecMat=="")
	                    strFecMat="";
	            else
	                    strFecMat=comun.Mes(strFecMat,campoTexto3);
	            if (strFBajaTemp==null || strFBajaTemp=="")
	                    strFBajaTemp="";
	            else
	                    strFBajaTemp=comun.Mes(strFBajaTemp,campoTexto3);
	            if (strFCedido==null || strFCedido=="")
	                    strFCedido="";  
	            else
	                    strFCedido=comun.Mes(strFCedido,campoTexto3);	                    
	            miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFBajaTemp: " + strFBajaTemp, m05bConstantes.LOG_NIVEL_BAJO);                  
	            miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFCedido: " + strFCedido, m05bConstantes.LOG_NIVEL_BAJO);
	            codColor=rs.getString(m05bConstantes.COL_99_CODTABLA);
	            if (codColor!=null){
	            		if ((codColor).equals(m05bConstantes.DESC_COLORES)){
	                    		color=rs.getString(29);}}
	                    		
	                 aparcado = rs.getString(m05bConstantes.COL_34_APARCADO);
		             aparcado = aparcado == null ? "":aparcado;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "aparcado: " + aparcado, m05bConstantes.LOG_NIVEL_BAJO);

	                 
	                 vcontab = rs.getString(m05bConstantes.COL_34_VCONTAB);
		             vcontab = vcontab == null ? "":vcontab;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "vcontab: " + vcontab, m05bConstantes.LOG_NIVEL_BAJO);
		             
	                 amoanual = rs.getString(m05bConstantes.COL_34_AMOANUAL);
		             amoanual = amoanual == null ? "":amoanual;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "amoanual: " + amoanual, m05bConstantes.LOG_NIVEL_BAJO);

	                 
	                 amoacum = rs.getString(m05bConstantes.COL_34_AMOACUM);
		             amoacum = amoacum == null ? "":amoacum;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "amoacum: " + amoacum, m05bConstantes.LOG_NIVEL_BAJO); 
		             
	                 destino = rs.getString(m05bConstantes.COL_34_DESTINO);
		             destino = destino == null ? "":destino;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "destino: " + destino, m05bConstantes.LOG_NIVEL_BAJO); 
		             
 	                 motivbaja = rs.getString(m05bConstantes.COL_34_MOTIVBAJA);
		             motivbaja = motivbaja == null ? "":motivbaja;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "motivbaja: " + motivbaja, m05bConstantes.LOG_NIVEL_BAJO); 
		             
	                 
	                 fadquis = rs.getString(24);
		             fadquis = fadquis == null ? "":fadquis;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "fadquis: " + fadquis, m05bConstantes.LOG_NIVEL_BAJO); 
	                 
	                 regadquis = rs.getString(m05bConstantes.COL_34_REGADQUIS);
		             regadquis = regadquis == null ? "":regadquis;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "regadquis: " + regadquis, m05bConstantes.LOG_NIVEL_BAJO); 
	                 
	                 matricant = rs.getString(m05bConstantes.COL_34_MATRIC_ANT);
	                 matricant = matricant == null ? "":matricant;
	                 miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "matricant: " + poliza, m05bConstantes.LOG_NIVEL_BAJO); 
	                 
	                 poliza = rs.getString(m05bConstantes.COL_34_POLIZA);
		             poliza = poliza == null ? "":poliza;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "poliza: " + poliza, m05bConstantes.LOG_NIVEL_BAJO); 
	                    		
	                    		
	                 //matricant = rs2.getString(m05bConstantes.COL_34_MATRIC_ANT);
	                 vidautil = rs.getString(m05bConstantes.COL_34_VIDAUTIL);
		             vidautil = vidautil == null ? "":vidautil;
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "vidautil: " + vidautil, m05bConstantes.LOG_NIVEL_BAJO); 
	                    		
	           //Ini Actualizamos la variable existe poruqe existe el vehiculo
      	       existe="1";%>
               <script>
               	    document.formVehiculos.Existe.value="<%=existe%>";
               </script>
	           <!--//Fin Actualizamos la variable existe poruqe existe el vehiculo-->
               <!--IniComprobamos si el vehiculo esta asignado-->
               <%miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Despues Situacion2"+sqlAsignado.toString() , m05bConstantes.LOG_NIVEL_BAJO);
	   
               pstmt2 = conn.prepareStatement(sqlAsignado.toString());
		   	   rs2 = pstmt2.executeQuery();
               if (rs2.next()) {
                     String Asignado=rs2.getString(1);%>
                    <!--Rellenamos la variable oculta Asignado con la fecha de asignacion-->
                    <script>document.formVehiculos.Asignado.value="<%=Asignado%>";</script>
               <%}
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			         pstmt2.close();%>
               <!--FinComprobamos si el vehiculo esta asignado-->
               
               <!--IniComprobamos si el vehiculo tiene orden de trabajo-->
               <%		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Despues Situacion3"+sqlOrdenT.toString(), m05bConstantes.LOG_NIVEL_BAJO );
	   
               pstmt2 = conn.prepareStatement(sqlOrdenT.toString());
		   	   rs2 = pstmt2.executeQuery();
               if (rs2.next()) {
                    String Asignado=rs2.getString(1);%>
                    <!--Rellenamos la variable oculta Asignado con la fecha de asignacion-->
                    <script>document.formVehiculos.Asignado.value="<%=Asignado%>";</script>
               <%}
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			         pstmt2.close();%>
               <!--FinComprobamos si el vehiculo esta Orden de Trabajo-->
               
               <!--Ini Obtener matricula anterior del vehiculo-->
		       <%//pstmt2 = conn.prepareStatement(sqlMatricAnt.toString());
		   	     //rs2 = pstmt2.executeQuery();
		             //miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
		   	     
		   	     //if (rs2.next()) {
               	   //matricant=rs2.getString(m05bConstantes.COL_44_MATRIC_ANT);
		           //matricant = matricant == null ? "":matricant;
                 //}
                 //if (rs2 != null)
			        //rs2.close();
                 //if (pstmt2 != null)
			        //pstmt2.close();%>
               <!--Fin Obtener matricula anterior del vehiculo-->
               <!--Ini Introducimos los valores recuperados en el objeto vehiculo-->
               
               <!--IniRecuperamos los datos de la parte de abajo de la pagina-->
              <% pstmt2 = conn.prepareStatement(sqlB.toString());
                 rs2 = pstmt2.executeQuery();
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
                 
			     if (rs2.next() == true){
			         notas=rs2.getString(m05bConstantes.COL_34_NOTA);
		             notas = notas == null ? "":notas;

                     nserie=rs2.getString(m05bConstantes.COL_34_NSERIE);
		             nserie = nserie == null ? "S/N":nserie;
                     autoriza=rs2.getString(m05bConstantes.COL_34_AUTORI_APAR);
		             autoriza = autoriza == null ? "":autoriza;
			         inf1=rs2.getString(m05bConstantes.COL_34_INF1);
			         inf2=rs2.getString(m05bConstantes.COL_34_INF2);
		             inf1 = inf1 == null ? "":inf1;
		             inf2 = inf2 == null ? "":inf2;
			         rotulado=rs2.getString(5);
		             rotulado = rotulado == null ? "":rotulado;
			         mesrevis=rs2.getString(m05bConstantes.COL_34_MESREVIS);
		             mesrevis = mesrevis == null ? "":mesrevis;
			         kmrevis=rs2.getString(m05bConstantes.COL_34_KMREVIS);
		             kmrevis = kmrevis == null ? "":kmrevis;
   		             fgarantia=rs2.getString(m05bConstantes.COL_34_FGARANTIA);
	                       if (fgarantia==null || fgarantia.equals("NULL"))
	                          fgarantia="";
	                       else
	                           fgarantia=comun.Mes(fgarantia,campoTexto3);
			         color=rs2.getString(m05bConstantes.COL_34_COLOR);
		             color = color == null ? "":color;
			         expdte=rs2.getString(m05bConstantes.COL_34_EXPDTE);
		             expdte = expdte == null ? "":expdte;
			         caballos=rs2.getString(m05bConstantes.COL_34_CV);
		             caballos = caballos == null ? "":caballos;
			         caballosreales=rs2.getString(m05bConstantes.COL_34_CR);
		             caballosreales = caballosreales == null ? "":caballosreales;%>
			    <% }
                 if (rs2 != null)
			        rs2.close();
                 if (pstmt2 != null)
			        pstmt2.close();             	   
              %>	


		       <%
		       vehiculo.setVeh_matricula(strMatricula);
		       vehiculo.setVeh_modelo(codmod);
               vehiculo.setVeh_coddpto(coddpto);
		       vehiculo.setVeh_desdpto(descdpto);
		       vehiculo.setVeh_marca(marca);
		       vehiculo.setVeh_kmact(kmact);
		       vehiculo.setVeh_situacion(situacion);
		       vehiculo.setVeh_rango(codrango);
		       vehiculo.setVeh_falta(strFecAlta);
	  			miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecAlta-4: " + strFecAlta, m05bConstantes.LOG_NIVEL_BAJO);
		       
		       //vehiculo.setVeh_fbaja(strFecBaja);
		       vehiculo.setVeh_fkmact(fkmact);
		       vehiculo.setVeh_fbajatemp(strFBajaTemp);
		       vehiculo.setVeh_fcedido(strFCedido);		       		       
		       vehiculo.setVeh_fmatric(strFecMat);
		       vehiculo.setVeh_precio(precio);
		       vehiculo.setVeh_matricant(matricant);
		       
		       
		       vehiculo.setVeh_nserie(nserie);
		       vehiculo.setVeh_autaparc(autoriza);
	           vehiculo.setVeh_iadic1(inf1);
		       vehiculo.setVeh_iadic2(inf2);
		       vehiculo.setVeh_rotul(rotulado);
		       vehiculo.setVeh_mesrevis(mesrevis);
		       vehiculo.setVeh_kmrevis(kmrevis);
		       vehiculo.setVeh_fgarantia(fgarantia);
		       vehiculo.setVeh_color(color);
		       vehiculo.setVeh_expte(expdte);
		       vehiculo.setVeh_cvfisc(caballos);
		       vehiculo.setVeh_cvreal(caballosreales);
		       vehiculo.setVeh_observ(notas);
		       vehiculo.setVeh_imptransf(impTransferencia);
		       
	           vehiculo.setVeh_aparcado(aparcado);
	           vehiculo.setVeh_vcontab(vcontab);
	           vehiculo.setVeh_amoanual(amoanual);
	           vehiculo.setVeh_amoacum(amoacum);
	           vehiculo.setVeh_destino(destino);
               vehiculo.setVeh_motbaja(motivbaja);
	           vehiculo.setVeh_fadquis(fadquis);
	           vehiculo.setVeh_regadq(regadquis);
	           vehiculo.setVeh_vidautil(vidautil);
	           
	       //matricant = vehiculo.getVeh_matricant();
	           vehiculo.setVeh_poliza(poliza);
		       
		       
		       session.setAttribute("m05bVehiculos",vehiculo);
		       }
       }
        }    
	  } catch (Exception SQLException){
	   		miLog.addTraza(SQLException);
	  } finally {
				if (rs != null)
					rs.close();
				if (rs2 != null)
					rs2.close();
				if (pstmt != null)
					pstmt.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conn != null)
					conn.close();
	  }   %>   	   

             <!--Ini Rellenamos los campos de la parte superior--> 
             <!--de la pagina con los valores obtenidos.-->
             <script>
                 document.formVehiculos.Marca.value="<%=marca%>";
                 Pulsado(document.formVehiculos.Marca.options[document.formVehiculos.Marca.selectedIndex].value, document.formVehiculos.Modelo, CmbDesc,'')  ;  
                 document.formVehiculos.Modelo.value="<%=codmod%>";
                 document.formVehiculos.Dpto.value="<%=coddpto%>";
                 document.formVehiculos.DescDpto.value="<%=descdpto%>";
                 document.formVehiculos.KmActuales.value="<%=kmact%>"; 
                 document.formVehiculos.Precio.value="<%=precio%>";
                 document.formVehiculos.Situacion.value="<%=situacion%>";
                 document.formVehiculos.SituacionBD.value="<%=situacion%>";
                 document.formVehiculos.CRango.value="<%=codrango%>";
                 document.formVehiculos.CRangoBD.value="<%=codrango%>";
                 document.formVehiculos.FAlta.value="<%=strFecAlta%>";
                 document.formVehiculos.FBajaTemp.value="<%=strFBajaTemp%>"; 
                 document.formVehiculos.FCedido.value="<%=strFCedido%>";   
                 document.formVehiculos.FecKmAct.value="<%= fkmact%>";
                 document.formVehiculos.FMatriculacion.value="<%=strFecMat%>";
                 document.formVehiculos.MatriculaAnt.value="<%=matricant%>";
           </script>
           	  <%if ((strFecAlta == null) || (strFecAlta == "")){%>
           <script>
           	     document.all["calendarioA"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                 document.all["calendarioA"].border='0';  
                 document.formVehiculos.FAlta.disabled=true;                 
           </script>
 				<%}%>           	   
           <!--Fin Rellenamos los campos de la parte superior--> 
           <!--de la pagina con los valores obtenidos.-->             	 
           <!--Ini Rellenamos los campos de la parte inferior--> 
           <!--de la pagina con los valores obtenidos.-->
             <script>
                 document.formVehiculos.FecGarantia.value="<%=fgarantia%>";
                 document.formVehiculos.Kilometros.value="<%=kmrevis%>";
                 document.formVehiculos.Meses.value="<%=mesrevis%>";
                 document.formVehiculos.Expdte.value="<%=expdte%>";
                 document.formVehiculos.NSerie.value="<%=nserie%>"; 
                 document.formVehiculos.Autoriza.value="<%=autoriza%>";
                 document.formVehiculos.CVFiscales.value="<%=caballos%>";
                 document.formVehiculos.CVReales.value="<%=caballosreales%>";
                 if ((document.formVehiculos.CVReales.value == "0") || (document.formVehiculos.CVReales.value == "0,00")){
                    document.formVehiculos.CVReales.value="";   
       	         }
                 document.formVehiculos.Inf1.value="<%=inf1%>";
                 document.formVehiculos.Inf2.value="<%=inf2%>";
                 document.formVehiculos.Color.value="<%=color%>";
                 
           </script>
		    <tr>
             <td  valign="top" class="inputFieldTitle"  colspan="5"><%= res.getString("etNotas")%></td>
		  	 <td  valign="top" class="inputFieldTitle"  colspan="2"><%= res.getString("etRotulado")%></td>
		    </tr>
		    <tr>
		     <td  align="left" colspan="5"> <TEXTAREA class="inputField" WRAP="physical" name="Notas" cols="75" rows="5"><%=notas%></TEXTAREA></td>
		     <td  align="left" colspan="2"> <TEXTAREA class="inputField" WRAP="physical" name="Rotulado" cols="35" rows="5"><%=rotulado%></TEXTAREA></td>
		    </tr>
		    <tr>
            </tr>		    	  
		  </TABLE>		             	 
		  </FORM>           
      	  
           <script>
           		function deshabilitaCamposSiExiste(){
           			document.formVehiculos.FMatriculacion.disabled=true;
           			document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                 	document.all["calendario1"].border='0';
                 	document.all["FMatriculacion"].className="inputField";
                 	
                 	document.formVehiculos.FecKmAct.disabled=true;
           			document.all["calendario4"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                 	document.all["calendario4"].border='0';
                 	document.all["FecKmAct"].className="inputField";
           			
           			document.formVehiculos.Marca.disabled=true;
           			document.formVehiculos.KmActuales.disabled=true;
           			//document.formVehiculos.Modelo.disabled=true;
           			document.all["Marca"].className="inputField";
           			document.all["KmActuales"].className="inputField";
           			//document.all["Modelo"].className="inputField";
           		}
           </script>
           <!--Ini Si la situacion es baja deshabilitamos los campos--> 
           <% if ((situacion.equals("B")) &&   (mensaje.equals(""))) { %>
              <script>
                 document.formVehiculos.Situacion.disabled=true;
                 document.formVehiculos.Modelo.disabled=true;
                 document.formVehiculos.CRango.disabled=true;
                 document.formVehiculos.FAlta.disabled=true;
                 //document.formVehiculos.FBaja.disabled=true;
                 document.formVehiculos.FecKmAct.disabled=true;
                 document.formVehiculos.FMatriculacion.disabled=true;
                 document.formVehiculos.Modelo.disabled=true;
                 document.formVehiculos.Dpto.disabled=true;
                 document.formVehiculos.DescDpto.disabled=true;
                 document.formVehiculos.Marca.disabled=true;
                 document.formVehiculos.KmActuales.disabled=true;
                 document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                 document.all["calendario1"].border='0';   
                 document.all["calendario4"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';                      
                 document.all["calendario4"].border='0';   
               </script>    
           <!--Fin Si la situacion es baja deshabilitamos los campos de la parte superior--> 
           <!--Ini Si la situacion es baja deshabilitamos los campos--> 
           
               <script>
                      document.all["FecGarantia"].disabled=true;
                      document.all["calendariogarantia"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      document.formVehiculos.Kilometros.disabled=true;
                      document.formVehiculos.Meses.disabled=true;
                      document.formVehiculos.Expdte.disabled=true;
                      document.formVehiculos.NSerie.disabled=true;
                      document.formVehiculos.CVFiscales.disabled=true;
                      document.formVehiculos.CVReales.disabled=true;
                      document.formVehiculos.Autoriza.disabled=true;
                      document.formVehiculos.Inf1.disabled=true;
                      document.formVehiculos.Inf2.disabled=true;
                      document.formVehiculos.Color.disabled=true;
                      document.formVehiculos.Rotulado.disabled=true;
                      document.formVehiculos.Notas.disabled=true;           
             		  deshabilitaCamposSiExiste();
             </script>
           <!--Fin Si la situacion es baja deshabilitamos los campos--> 
             	 
           <%}else {%>  
              <script>
                 document.formVehiculos.Situacion.disabled=false;
                 document.formVehiculos.Modelo.disabled=false;
                 document.formVehiculos.CRango.disabled=false;
                 //document.formVehiculos.FBaja.disabled=true;
                 document.formVehiculos.FecKmAct.disabled=false;
                 document.formVehiculos.FMatriculacion.disabled=false;
                 document.formVehiculos.Modelo.disabled=false;
                 document.formVehiculos.Dpto.disabled=false;
                 document.formVehiculos.DescDpto.disabled=false;
                 document.formVehiculos.Marca.disabled=false;
                 document.formVehiculos.KmActuales.disabled=false;
                 document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
                 document.all["calendario4"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
             </script>
            <!--Fin Si la situacion es baja deshabilitamos los campos de la parte superior--> 
             <% if ((!(mensaje.equals(""))) && (!(mensaje.equals("Existe")))&& (!(impTransferencia.equals("")))) {%>
             	 <script>document.formVehiculos.ImpTransferencia.value="<%=impTransferencia%>";</script>
             	 <script>document.formVehiculos.TitTransferencia.value="Importe Transferencia ";</script>
             <%}%>

             <% if (existe.equals("1")){
             	              miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "YO ENTRO EXISTE = 1 - matrícula: " + matricula, m05bConstantes.LOG_NIVEL_BAJO );
             	              miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "YO ENTRO activarSituacion = " + activarSituacion + " - matrícula: " + matricula, m05bConstantes.LOG_NIVEL_BAJO );
                  if (codmod.equals("")){%>
                    <script> document.formVehiculos.Modelo.disabled=true;</script>
                  <%}%>
	              <script> document.formVehiculos.Situacion.value="<%=situacion%>";</script>
	              <% if (activarSituacion.equals("1")) { 
	              
	              
	              miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "YO ENTRO POR AQUÍ - matrícula: " + matricula, m05bConstantes.LOG_NIVEL_BAJO );
	   
	              %>
                     <script> document.formVehiculos.Situacion.disabled=false;
                     
                    // 20101123 Íñigo: Añadidos al combo los estados de Baja Temporal (T) y Otros (O)
                    document.formVehiculos.Situacion.options.length=3;
                    document.formVehiculos.Situacion.options[0].value="B";
                    document.formVehiculos.Situacion.options[0].text="BAJA";
					document.formVehiculos.Situacion.options[1].value="T";
                    document.formVehiculos.Situacion.options[1].text="BAJA TEMPORAL";
                    document.formVehiculos.Situacion.options[2].value="P";
                    document.formVehiculos.Situacion.options[2].text="PENDIENTE";
					//document.formVehiculos.Situacion.options[3].value="O";
                    //document.formVehiculos.Situacion.options[3].text="OTROS";
                    document.formVehiculos.Situacion.value="<%=situacion%>";                                                                                                 
                    
                     </script>
                       <% if (activarSituacionNuevo.equals("1")) { %>
                       <script> document.formVehiculos.Situacion.disabled=true;

                      </script>                     
                  <%}}else{%>
                      <script> document.formVehiculos.Situacion.disabled=false;

                      </script>
                  <%}%> 
                  <script>
                  	deshabilitaCamposSiExiste();
                  </script>
	         <%} else{
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "strFecMat-6: "+strFecMat, m05bConstantes.LOG_NIVEL_BAJO);	       
		             miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "Ultima Situacion-1: "+situacion, m05bConstantes.LOG_NIVEL_BAJO);	       
	                 situacion="P";%>
                  <script>
                  	  if (document.formVehiculos.Matricula.value != ""){
                  	  alert(dameAlerta(idioma, 108)); 
                      document.formVehiculos.Matricula.style.background=('blue');
                      document.formVehiculos.Matricula.style.color=('white');
                      //document.formVehiculos.Matricula.focus();
                  	  } 	                  
	                  document.formVehiculos.Situacion.value="<%=situacion%>";
                      document.formVehiculos.Situacion.disabled=true;
                      document.formVehiculos.Modelo.disabled=true;</script>
             <%}}%>
<!--Formateamos los valores cargados en los campos de la pagina-->
<script>
   if (document.formVehiculos.Matricula.value != ""){
    ComprobarSituacion(document.formVehiculos.Situacion.value);}

	formatearFecha(document.formVehiculos.FMatriculacion);
    formatearFecha(document.formVehiculos.FAlta);
    formatNumero(document.formVehiculos.KmActuales);
    formatearFecha(document.formVehiculos.FecKmAct);


    formatearFecha(document.formVehiculos.FecGarantia);
    formatNumero(document.formVehiculos.Kilometros);
    formatNumero(document.formVehiculos.Meses);  
    formatNumeroDecimal(document.formVehiculos.CVFiscales,3,2);
    formatNumeroDecimal(document.formVehiculos.CVReales,3,2);
    
</script>	
			      	</TD>
			      </TR>
			     </TABLE>
		</td>
	</tr>
	<tr>
							
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
  <SCRIPT>
   var tabAnterior=document.getElementById("tabVarios");
  </SCRIPT>

</IFRAME>
</BODY>
</HTML>

<%
	//Recargamos el combo de departamentos:
	outMsg.println("<script>strVacio='';</script>");
	String strComboDepto = "";
	strComboDepto+=" <select class=inputFieldOblig  NAME='Dpto' id='Dpto' onchange='JavaScript:blur();' onblur='javascript: if (this.value!=strVacio){fncCambiaDpto();document.formVehiculos.MatriculaAnt.focus();}borrar_buffer();return false;' onKeypress='if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}' onclick='borrar_buffer();'> ";
	strComboDepto+=" <option value=\"\"></option> ";
    if (coddpto==null || coddpto.trim().length()==0) {
		strComboDepto+=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "SIT_06", "'A'", "");
    } else {
		strComboDepto+=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "COD_DPTO_06="+coddpto+" OR SIT_06", "'A'", coddpto);
    }
	strComboDepto=strComboDepto.replaceAll("\"", "'");
    outMsg.println("<script>document.getElementById('comboDpto').innerHTML=\""+strComboDepto+"\";</script>");
    outMsg.close();
%>